<template>
    <div class="user-info" v-if="userInfo">
        <img :src="img" />
        <span v-if="!collapse">{{ userInfo.name }} ({{ userInfo.email }})</span>
    </div>
</template>

<script>
    import * as gravatar from 'gravatar';


    export default {

        name: 'TopInfo',

        props: {
            user: Object,
            collapse: Boolean,
        },

        data: () => ({
            type: 'robohash',
        }),


        created() {
        },

        computed: {

            img() {
                return gravatar.url(this.userInfo.email || this.userInfo.user_name, {d: this.type, s: '60px'});
            },

            userInfo() {
                return this.user;
            },
        },

    }
</script>

<style lang="scss" scoped>

    .user-info {
        height: 60px;
        display: flex;
        align-items: center;
        margin-right: 1px;

        span {
            font-size: 13px;
            font-weight: bold;
        }
    }
</style>
